Loading...
Searching...
No Matches
extract_mvs.c File Reference
`#include <libavutil/motion_vector.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avformat.h>`

Go to the source code of this file.

## Functions

static int | decode_packet (const AVPacket *pkt)
static int | open_codec_context (AVFormatContext *fmt_ctx, enum AVMediaType type)
int | main (int argc, char **argv)

## Variables

static AVFormatContext * | fmt_ctx = NULL
static AVCodecContext * | video_dec_ctx = NULL
static AVStream * | video_stream = NULL
static const char * | src_filename = NULL
static int | video_stream_idx = -1
static AVFrame * | frame = NULL
static int | video_frame_count = 0

## Function Documentation

## decode_packet()

int decode_packet | ( | const AVPacket * | pkt | ) |

static

Definition at line 45 of file extract_mvs.c.

## open_codec_context()

int open_codec_context | ( | AVFormatContext * | fmt_ctx,
|  | enum AVMediaType | type )

static

Definition at line 86 of file extract_mvs.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 134 of file extract_mvs.c.

## Variable Documentation

## fmt_ctx

AVFormatContext* fmt_ctx = NULL

static

Definition at line 36 of file extract_mvs.c.

## video_dec_ctx

AVCodecContext* video_dec_ctx = NULL

static

Definition at line 37 of file extract_mvs.c.

## video_stream

AVStream* video_stream = NULL

static

Definition at line 38 of file extract_mvs.c.

## src_filename

const char* src_filename = NULL

static

Definition at line 39 of file extract_mvs.c.

## video_stream_idx

int video_stream_idx = -1

static

Definition at line 41 of file extract_mvs.c.

## frame

AVFrame* frame = NULL

static

Definition at line 42 of file extract_mvs.c.

## video_frame_count

int video_frame_count = 0

static

Definition at line 43 of file extract_mvs.c.